<div class="col-12 text-center" *ngIf="recipePage && data==null">
    <i class="fa fa-refresh fa-2x fa-spin"></i>
</div>
<div class="col-12 text-center" *ngIf="recipePage && data!=null && data.length==0">
    <h3>No Data Found.</h3>
</div>
<div class="row RecipeCard" data-responsive-lg="3" data-responsive-md="2" data-responsive-sm="2" data-responsive-xs="1"
    data-nav="true" data-loop="true">
    <div class="vertical-item text-center col-xs-12 col-sm-6 col-md-4" *ngFor="let item of data">
        <div class="item-media">
            <img *ngIf="item.ImgURL!=''" src="{{item.ImgURL}}" alt="" style="height: 250px;">
            <div class="media-links">
                <a class="abs-link" routerLink="/Blog/{{item.ID}}" routerLinkActive="active"
                    [routerLinkActiveOptions]="{exact: true}"></a>
            </div>
            <div class="content-absolute bg-maincolor2-transparent text-left ds" style="position: unset;">
                <div style="display: flex;">
                    <h6>{{item.Name}}</h6>&nbsp;
                    <a *ngIf=" isLoggedIN && recipePage" (click)="edit(item.ID)" class="abs-link"><i
                            class="fa fa-edit p-2"></i></a>&nbsp;
                    <a *ngIf="isLoggedIN && recipePage" (click)="delete(item.ID)" class="abs-link"><i
                            class="fa fa-trash p-2"></i></a>

                </div>

                <div style="color: #000;">
                    <span *ngIf="item.Rating!='NA'" class="rating">
                        <span *ngFor="let r of [].constructor(5);let i = index"
                        [ngClass]="{'active' : i<item.Rating}" attr.data-index="{{i}}">
                        &#x2729;</span>
                    </span>
                   
                    <span *ngIf="item.Rating=='NA'">Rating: {{item.Rating}}</span>
                </div>
            </div>

        </div>
    </div>